.root {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.main {
  flex-grow: 1;
}

.ribbon {
  width: 150px;
  height: 150px;
  overflow: hidden;
  position: absolute;
  top: 0;
  right: 0;
  pointer-events: none;
  z-index: 20;
}

.ribbonText {
  position: absolute;
  display: block;
  width: 225px;
  padding: 15px 0;
  background-color: #004494;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  color: #fff;
  font: 700 18px/1 "Lato", sans-serif;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
  text-transform: uppercase;
  text-align: center;
  left: -15px;
  top: 20px;
  transform: rotate(45deg);
  pointer-events: auto;
}

.ribbonText:hover,
.ribbonText:focus,
.ribbonText:active {
  color: #fff;
}
